#-- 
#  Copyright (C) 2008 Red Hat Inc.
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or (at your option) any later version.
#  
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#  
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
#
# Author: Bryan Kearney <bkearney@redhat.com>
#--

import "appliance_base"

#
# mysql
# -----------
# Allows configuration of the mysql database
#

class mysql {	
	service {"mysqld":
		ensure => running,
		enable => true,
		hasstatus => "true",		
	}
}


define mysql::setup() {
	include mysql
}

define mysql_execute_file($sql_file, $root_user="root", $root_user_password="admin", $database="") {

       $my_command = template("mysql/execute_sql_file_command.erb")
       
       single_exec { "mysql_execute_sql_file_$name":
               command => $my_command
       }       
} 
