#-- 
#  Copyright (C) 2008 Red Hat Inc.
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or (at your option) any later version.
#  
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#  
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
#
# Author: Bryan Kearney <bkearney@redhat.com>
#--

# Derived from David Schmitt's work
# http://git.black.co.at/?p=module-mysql

Puppet::Type.newtype(:mysql_user) do
	@doc = "Manage a database user."
	ensurable
	newparam(:name) do
		desc "The name of the user. This uses the 'username@hostname' form."
	end
	newparam(:root_user) do
			desc "root user"
	end
	newparam(:root_user_password) do
			desc "root user password"
	end	
	newproperty(:password_hash) do
		desc "The password hash of the user. Use mysql_password() for creating such a hash."
	end
end

